<form [formGroup]="form">
	<mat-form-field appearance="outline">
		<mat-label>{{ 'observer.project' | translate }}</mat-label>
		<mat-select formControlName="projectName">
			<mat-option *ngFor="let project of Object.keys(observerService.masterDataSubject | async)" [value]="project">{{
				project
			}}</mat-option>
		</mat-select>
	</mat-form-field>

	<mat-form-field appearance="outline">
		<mat-label>{{ 'observer.environment' | translate }}</mat-label>
		<mat-select formControlName="environmentName">
			<ng-container *ngIf="(observerService.masterDataSubject | async)[form.value.projectName]">
				<mat-option
					*ngFor="let environment of Object.keys((observerService.masterDataSubject | async)[form.value.projectName])"
					[value]="environment"
					>{{ environment }}</mat-option
				>
			</ng-container>
		</mat-select>
	</mat-form-field>

	<mat-form-field appearance="outline">
		<mat-label>{{ 'observer.service' | translate }}</mat-label>
		<mat-select formControlName="serviceName">
			<ng-container
				*ngIf="
					(observerService.masterDataSubject | async)[form.value.projectName] &&
					(observerService.masterDataSubject | async)[form.value.projectName][form.value.environmentName]
				"
			>
				<mat-option
					*ngFor="let services of (observerService.masterDataSubject | async)[form.value.projectName][form.value.environmentName]"
					[value]="services"
					>{{ services }}</mat-option
				>
			</ng-container>
		</mat-select>
	</mat-form-field>
</form>
